%define anolis_release 3
%global abi 4

Name:           libdvdnav
Version:        6.1.1
Release:        %{anolis_release}%{?dist}
Summary:        A library for reading DVD video discs based on Ogle code
License:        GPLv2+
URL:            http://dvdnav.mplayerhq.hu/
Source0:        https://download.videolan.org/pub/videolan/libdvdnav/%{version}/libdvdnav-%{version}.tar.bz2
Source1:        https://download.videolan.org/pub/videolan/libdvdnav/%{version}/libdvdnav-%{version}.tar.bz2.asc
Source2:        https://download.videolan.org/pub/keys/7180713BE58D1ADC.asc
BuildRequires:  doxygen
BuildRequires:  gcc
BuildRequires:  gnupg2
BuildRequires:  libdvdread-devel >= 6.0.0
BuildRequires: make

%description
libdvdnav provides a simple library for reading DVD video discs.
The code is based on Ogle and used in, among others, the Xine dvdnav plug-in.

%package        devel
Summary:        Development files for libdvdnav
Requires:       %{name} = %{version}-%{release}
Requires:       libdvdread-devel >= 6.0.0
Requires:       pkgconfig

%description    devel
libdvdnav-devel contains the files necessary to build packages that use the
libdvdnav library.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%{gpgverify} --keyring='%{S:2}' --signature='%{S:1}' --data='%{S:0}'
%setup -q

%build
%configure --disable-static

%{__make} V=1 %{?_smp_mflags}
pushd doc
doxygen doxy.conf
popd

%install
%make_install
rm %{buildroot}%{_libdir}/libdvdnav.la
rm %{buildroot}%{_pkgdocdir}/{COPYING,TODO}
rm %{buildroot}%{_docdir}/%{name}/{AUTHORS,ChangeLog,README}

%ldconfig_scriptlets

%generate_compatibility_deps

%files
%license COPYING
%dir %{abidir}
%{_libdir}/libdvdnav.so.%{abi}*
%{abidir}/libdvdnav.dump

%files devel
%doc TODO doc/html/*
%{_libdir}/libdvdnav.so
%{_includedir}/dvdnav
%{_libdir}/pkgconfig/dvdnav.pc

%files doc
%doc AUTHORS ChangeLog README

%changelog
* Tue Feb 14 2023 Ziyang Zhang <ZiyangZhang@linux.alibaba.com> - 6.1.1-3
- add abi/api files

* Sun Oct 09 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 6.1.1-2
- add doc package

* Wed Apr 06 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 6.1.1-1
- Init from upstream version  6.1.1

